Subject: Re: [saag] AD Sponsorship of draft-housley-ers-asn1-modules

From: Sean Turner <[email-masked]>
Date: Wed, 9 Jun 2021 11:03:46 -0400

Roman,

I have but one point to raise and then some cosmetic nits (cosmetic because compilers ignore whitespace).

0) Point to Raise:

re: AllWantBacks. I am not entirely sure whether what is there for swb-ers-all WANT-BACK merely defines the new value or whether it also adds it to the list of available AllWantBacks.  AllWantBacks is imported from RFC 5912:

AllWantBacks WANT-BACK ::= {
     WantBackSet | ACertWantBackSet | AnyWantBackSet, ...
 }

To add swb-ers-all to the list, I wonder whether merely defining it is enough. Is there something more that needs to be done to get it into the list as the fourth option?

1) Cosmetic Nits:

Header:

s/New ASN.1 Modules for the Evidence Recor
/New ASN.1 Modules for the Evidence Record

s2 (remove space, add space):

s/{ v1(1) } ,/{ v1(1) },
s/AttributeSet{{ERSAttrSet}}/AttributeSet {{ERSAttrSet}}

s3:

Since the ExpandedWantBacks are All, New, and ERS might consider reorganizing them in the ASN to match that pattern.

s (fix indention of evidence record)/
EvidenceRecordWantBack ::= SEQUENCE {
  targetWantBack  WANT-BACK.&id ({ExpandedWantBacks}),
    evidenceRecord EvidenceRecord OPTIONAL }
/
EvidenceRecordWantBack ::= SEQUENCE {
  targetWantBack  WANT-BACK.&id ({ExpandedWantBacks}),
  evidenceRecord EvidenceRecord OPTIONAL }

s/{id-swb 16 }/{ id-swb 16 }
s/{id-swb 17 }/{ id-swb 17 }
s/{id-swb 18 }/{ id-swb 18 }
s/{id-swb 19 }/{ id-swb 19 }
s/{id-swb 20 }/{ id-swb 20 }

> On May 14, 2021, at 16:45, Roman Danyliw <[email-masked]> wrote:
> 
> Hi!
> 
> Per the community interest and dispatch result at IETF 110 [1], I am AD sponsoring draft-housley-ers-asn1-modules [2].
> 
> I welcome early feedback or reviews on this document.
> 
> Regards,
> Roman
> 
> [1] https://datatracker.ietf.org/doc/minutes-110-secdispatch/
> [2] https://datatracker.ietf.org/doc/draft-housley-ers-asn1-modules/
> 
> _______________________________________________
> saag mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/saag

---

From: Carl Wallace <[email-masked]>
Date: Thu, 10 Jun 2021 13:31:19 -0400

Inline...

On 6/9/21, 11:03 AM, "saag on behalf of Sean Turner" <[email-masked] on behalf of [email-masked]> wrote:

    Roman,

    0) Point to Raise:

[CW] The swb-ers-all does not impact AllWantBacks. It was simply a shorthand means of saying "I want an EvidenceRecord for everything in replyWantBacks". See the last paragraph of section 3 in RFC5276. The ExpandedWantBacks in this draft is a superset of AllWantBacks. Unless I am missing something, I do not see a concern. 

<snip>

---

From: Russ Housley <[email-masked]>
Date: Thu, 10 Jun 2021 17:21:55 -0400

> [CW] The swb-ers-all does not impact AllWantBacks. It was simply a shorthand means of saying "I want an EvidenceRecord for everything in replyWantBacks". See the last paragraph of section 3 in RFC5…

I agree.  I do not see a concern here.

Russ

---

From: <[email-masked]>
Date: Sun, 20 Jun 2021 16:25:50 +0800

I took a review/look at this update as well. 
It has been a while since I last worked on ERS, so am a bit rusty...
But reviewed and no problems as far as I can tell. 

Best regards, Tobias

-----Original Message-----
From: saag <[email-masked]> On Behalf Of Sean Turner
Sent: Wednesday, June 9, 2021 11:04 PM
To: Roman Danyliw <[email-masked]>
Cc: [email-masked]
Subject: Re: [saag] AD Sponsorship of draft-housley-ers-asn1-modules

Roman,

I have but one point to raise and then some cosmetic nits (cosmetic because
compilers ignore whitespace).

0) Point to Raise:

re: AllWantBacks. I am not entirely sure whether what is there for
swb-ers-all WANT-BACK merely defines the new value or whether it also adds
it to the list of available AllWantBacks.  AllWantBacks is imported from RFC
5912:

To add swb-ers-all to the list, I wonder whether merely defining it is
enough. Is there something more that needs to be done to get it into the
list as the fourth option?

1) Cosmetic Nits:

Header:

s/New ASN.1 Modules for the Evidence Recor /New ASN.1 Modules for the
Evidence Record

s/{ v1(1) } ,/{ v1(1) },

s3:

Since the ExpandedWantBacks are All, New, and ERS might consider
reorganizing them in the ASN to match that pattern.

    evidenceRecord EvidenceRecord OPTIONAL } / EvidenceRecordWantBack ::=
SEQUENCE {

> Per the community interest and dispatch result at IETF 110 [1], I am AD
sponsoring draft-housley-ers-asn1-modules [2].

---

From: Russ Housley <[email-masked]>
Date: Sun, 20 Jun 2021 11:40:12 -0400

Thanks to Sean and Tobias for their reviews.

As discussed by Carl in a previous response, item (0) in Sean's review is not a problem.  No change there.

> reorganizing them in the ASN to match that pattern.

The AllWantBacks is imported, so it necessarily comes at the top.  Then, NewWantBacks and ERSWantBacks are in the order listed.  If a change is needed, I'm not seeing it.

Russ

> On Jun 20, 2021, at 4:25 AM, <[email-masked]> <[email-masked]> wrote:
>

---

From: Sean Turner <[email-masked]>
Date: Mon, 21 Jun 2021 10:54:38 -0400

> On Jun 20, 2021, at 11:40, Russ Housley <[email-masked]> wrote:
> 

Yep I misread that. They are in the order that they appear in ERSWantBacks.

---

From: Sean Turner <[email-masked]>
Date: Mon, 21 Jun 2021 11:01:46 -0400

> On Jun 10, 2021, at 13:31, Carl Wallace <[email-masked]> wrote:
> 
> Inline...
> 

Ah! I see it now - you’re not expanding AllWantBacks. Not sure why I got it in my head that you were trying to expand AllWantsBacks. lgtm now.

spt